# Uses of Interface
org.bukkit.entity.LivingEntity

Packages that use LivingEntity
Package
Description
com.destroystokyo.paper.entity
com.destroystokyo.paper.event.entity
io.papermc.paper.entity
io.papermc.paper.event.entity
io.papermc.paper.event.player
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.
org.bukkit.event.vehicle
`Events` relating to `vehicular entities`.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.potion
Classes to represent various `potion` properties and manipulation.
org.bukkit.util
Multi and single purpose classes to facilitate various programmatic concepts.

## Uses of LivingEntity in com.destroystokyo.paper.entity

Subinterfaces of LivingEntity in com.destroystokyo.paper.entity
Modifier and Type
Interface
Description
`interface`
`RangedEntity`
Methods in com.destroystokyo.paper.entity with parameters of type LivingEntity
Modifier and Type
Method
Description
`@Nullable Pathfinder.PathResult`
Pathfinder.`findPath(@NotNull LivingEntity target)`
Calculates a destination for the Entity to navigate to to reach the target entity, but does not set it as the current target.
`default boolean`
Pathfinder.`moveTo(@NotNull LivingEntity target)`
Calculates a destination for the Entity to navigate to to reach the target entity, and sets it with default speed.
`default boolean`
Pathfinder.`moveTo(@NotNull LivingEntity target, double speed)`
Calculates a destination for the Entity to navigate to to reach the target entity, and sets it with specified speed.
`void`
RangedEntity.`rangedAttack(@NotNull LivingEntity target, float charge)`
Attack the specified entity using a ranged attack.

## Uses of LivingEntity in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return LivingEntity
Modifier and Type
Method
Description
`@NotNull LivingEntity`
EntityJumpEvent.`getEntity()`
`@NotNull LivingEntity`
EntityKnockbackByEntityEvent.`getEntity()`
`@NotNull LivingEntity`
SlimeTargetLivingEntityEvent.`getTarget()`
Get the targeted entity
`@NotNull LivingEntity`
WitchThrowPotionEvent.`getTarget()`
Methods in com.destroystokyo.paper.event.entity that return types with arguments of type LivingEntity
Modifier and Type
Method
Description
`@Nullable Collection<LivingEntity>`
EnderDragonFireballHitEvent.`getTargets()`
The living entities hit by fireball May be null if no entities were hit
Constructors in com.destroystokyo.paper.event.entity with parameters of type LivingEntity
Modifier
Constructor
Description
``
`EntityJumpEvent(@NotNull LivingEntity entity)`
``
`EntityKnockbackByEntityEvent(@NotNull LivingEntity entity, @NotNull Entity hitBy, float knockbackStrength, @NotNull Vector acceleration)`
``
`SlimeTargetLivingEntityEvent(@NotNull Slime slime, @NotNull LivingEntity target)`
``
`WitchThrowPotionEvent(@NotNull Witch witch, @NotNull LivingEntity target, @Nullable ItemStack potion)`
Constructor parameters in com.destroystokyo.paper.event.entity with type arguments of type LivingEntity
Modifier
Constructor
Description
``
`EnderDragonFireballHitEvent(@NotNull DragonFireball fireball, @Nullable Collection<LivingEntity> targets, @NotNull AreaEffectCloud areaEffectCloud)`

## Uses of LivingEntity in io.papermc.paper.entity

Subinterfaces of LivingEntity in io.papermc.paper.entity
Modifier and Type
Interface
Description
`interface`
`CollarColorable`
Entities that can have their collars colored.
`interface`
`SchoolableFish`
Represents a fish that can school with other fish.

## Uses of LivingEntity in io.papermc.paper.event.entity

Methods in io.papermc.paper.event.entity that return LivingEntity
Modifier and Type
Method
Description
`@NotNull LivingEntity`
EntityLoadCrossbowEvent.`getEntity()`
`@NotNull LivingEntity`
EntityMoveEvent.`getEntity()`
Methods in io.papermc.paper.event.entity that return types with arguments of type LivingEntity
Modifier and Type
Method
Description
`@NotNull Collection<LivingEntity>`
WaterBottleSplashEvent.`getAffectedEntities()`
Deprecated.
Use `WaterBottleSplashEvent.getToDamage()`
`@NotNull @Unmodifiable Collection<LivingEntity>`
WaterBottleSplashEvent.`getToDamage()`
Gets an immutable collection of entities that will take damage as a result of this event.
`@NotNull Collection<LivingEntity>`
WaterBottleSplashEvent.`getToExtinguish()`
Get a mutable collection of entities that will be extinguished as a result of this event.
`@NotNull Collection<LivingEntity>`
WaterBottleSplashEvent.`getToRehydrate()`
Get a mutable collection of entities that will be rehydrated by this.
Methods in io.papermc.paper.event.entity with parameters of type LivingEntity
Modifier and Type
Method
Description
`void`
WaterBottleSplashEvent.`damageAsWaterSensitive(@NotNull LivingEntity entity)`
Adds this entity to the group that will be damaged
`void`
WaterBottleSplashEvent.`doNotDamageAsWaterSensitive(@NotNull LivingEntity entity)`
Removes this entity from the group that will be damaged.
`double`
WaterBottleSplashEvent.`getIntensity(@NotNull LivingEntity entity)`
Deprecated.
check if `WaterBottleSplashEvent.getToDamage()` contains an entity
`void`
WaterBottleSplashEvent.`setIntensity(@NotNull LivingEntity entity, double intensity)`
Deprecated.
use `WaterBottleSplashEvent.damageAsWaterSensitive(LivingEntity)` or `WaterBottleSplashEvent.doNotDamageAsWaterSensitive(LivingEntity)` to change which entities are damaged
Constructors in io.papermc.paper.event.entity with parameters of type LivingEntity
Modifier
Constructor
Description
``
`EntityLoadCrossbowEvent(@NotNull LivingEntity entity, @Nullable ItemStack crossbow, @NotNull EquipmentSlot hand)`
``
`EntityMoveEvent(@NotNull LivingEntity entity, @NotNull Location from, @NotNull Location to)`
Constructor parameters in io.papermc.paper.event.entity with type arguments of type LivingEntity
Modifier
Constructor
Description
``
`WaterBottleSplashEvent(@NotNull ThrownPotion potion, @NotNull Map<LivingEntity,Double> affectedEntities, @NotNull Set<LivingEntity> rehydrate, @NotNull Set<LivingEntity> extinguish)`
``
`WaterBottleSplashEvent(@NotNull ThrownPotion potion, @NotNull Map<LivingEntity,Double> affectedEntities, @NotNull Set<LivingEntity> rehydrate, @NotNull Set<LivingEntity> extinguish)`

## Uses of LivingEntity in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return LivingEntity
Modifier and Type
Method
Description
`@NotNull LivingEntity`
PlayerNameEntityEvent.`getEntity()`
Gets the entity involved in this event.
Methods in io.papermc.paper.event.player with parameters of type LivingEntity
Modifier and Type
Method
Description
`void`
PlayerNameEntityEvent.`setEntity(@NotNull LivingEntity entity)`
Sets the entity involved in this event.
Constructors in io.papermc.paper.event.player with parameters of type LivingEntity
Modifier
Constructor
Description
``
`PlayerNameEntityEvent(@NotNull Player player, @NotNull LivingEntity entity, @NotNull Component name, boolean persistent)`

## Uses of LivingEntity in org.bukkit

Methods in org.bukkit that return types with arguments of type LivingEntity
Modifier and Type
Method
Description
`@NotNull List<LivingEntity>`
RegionAccessor.`getLivingEntities()`
Get a list of all living entities in this RegionAccessor
`@NotNull List<LivingEntity>`
World.`getLivingEntities()`
Get a list of all living entities in this World
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double radius)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double xzRadius, double yRadius)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double xRadius, double yRadius, double zRadius)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double xRadius, double yRadius, double zRadius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double xzRadius, double yRadius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double radius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double radius)`
Gets nearby LivingEntities within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double xzRadius, double yRadius)`
Gets nearby LivingEntities within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double xRadius, double yRadius, double zRadius)`
Gets nearby LivingEntities within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double xRadius, double yRadius, double zRadius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby LivingEntities within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double xzRadius, double yRadius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby LivingEntities within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double radius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby LivingEntities within the specified radius (bounding box)
Method parameters in org.bukkit with type arguments of type LivingEntity
Modifier and Type
Method
Description
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double xRadius, double yRadius, double zRadius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double xzRadius, double yRadius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby players within the specified radius (bounding box)
`@NotNull Collection<LivingEntity>`
Location.`getNearbyLivingEntities(double radius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby players within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double xRadius, double yRadius, double zRadius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby LivingEntities within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double xzRadius, double yRadius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby LivingEntities within the specified radius (bounding box)
`default @NotNull Collection<LivingEntity>`
World.`getNearbyLivingEntities(@NotNull Location loc, double radius, @Nullable Predicate<LivingEntity> predicate)`
Gets nearby LivingEntities within the specified radius (bounding box)

## Uses of LivingEntity in org.bukkit.block

Methods in org.bukkit.block that return types with arguments of type LivingEntity
Modifier and Type
Method
Description
`@NotNull Collection<LivingEntity>`
Beacon.`getEntitiesInRange()`
Returns the list of players within the beacon's range of effect.
Methods in org.bukkit.block with parameters of type LivingEntity
Modifier and Type
Method
Description
`void`
Structure.`setAuthor(@NotNull LivingEntity livingEntity)`
Set the name of whoever created this structure using a `LivingEntity`.

## Uses of LivingEntity in org.bukkit.entity

Subinterfaces of LivingEntity in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`AbstractHorse`
Represents a Horse-like creature.
`interface`
`AbstractSkeleton`
This interface defines or represents the abstract concept of skeleton-like entities on the server.
`interface`
`AbstractVillager`
Represents a villager NPC
`interface`
`Ageable`
Represents an entity that can age.
`interface`
`Allay`
An Allay.
`interface`
`Ambient`
Represents an ambient mob
`interface`
`Animals`
Represents an Animal.
`interface`
`ArmorStand`
`interface`
`Axolotl`
An Axolotl.
`interface`
`Bat`
Represents a Bat
`interface`
`Bee`
Represents a Bee.
`interface`
`Blaze`
Represents a Blaze monster
`interface`
`Breedable`
Represents an entity that can age and breed.
`interface`
`Camel`
Represents a Camel.
`interface`
`Cat`
Meow.
`interface`
`CaveSpider`
Represents a Spider.
`interface`
`ChestedHorse`
Represents Horse-like creatures which can carry an inventory.
`interface`
`Chicken`
Represents a Chicken.
`interface`
`Cod`
Represents a cod fish.
`interface`
`ComplexLivingEntity`
Represents a complex living entity - one that is made up of various smaller parts
`interface`
`Cow`
Represents a Cow.
`interface`
`Creature`
Represents a Creature.
`interface`
`Creeper`
Represents a Creeper
`interface`
`Dolphin`
`interface`
`Donkey`
Represents a Donkey - variant of `ChestedHorse`.
`interface`
`Drowned`
Drowned zombie.
`interface`
`ElderGuardian`
Represents an ElderGuardian - variant of `Guardian`.
`interface`
`EnderDragon`
Represents an Ender Dragon
`interface`
`Enderman`
Represents an Enderman.
`interface`
`Endermite`
`interface`
`Evoker`
Represents an Evoker "Illager".
`interface`
`Fish`
Represents a fish entity.
`interface`
`Flying`
Represents a Flying Entity.
`interface`
`Fox`
What does the fox say?
`interface`
`Frog`
A Frog.
`interface`
`Ghast`
Represents a Ghast.
`interface`
`Giant`
Represents a Giant.
`interface`
`GlowSquid`
A Glow Squid.
`interface`
`Goat`
A Goat.
`interface`
`Golem`
A mechanical creature that may harm enemies.
`interface`
`Guardian`
`interface`
`Hoglin`
Represents a Hoglin.
`interface`
`Horse`
Represents a Horse.
`interface`
`HumanEntity`
Represents a human entity, such as an NPC or a player
`interface`
`Husk`
Represents a Husk - variant of `Zombie`.
`interface`
`Illager`
Represents a type of "Illager".
`interface`
`Illusioner`
Represents an Illusioner "Illager".
`interface`
`IronGolem`
An iron Golem that protects Villages.
`interface`
`Llama`
Represents a Llama.
`interface`
`MagmaCube`
Represents a MagmaCube.
`interface`
`Mob`
Represents a Mob.
`interface`
`Monster`
Represents a Monster.
`interface`
`Mule`
Represents a Mule - variant of `ChestedHorse`.
`interface`
`MushroomCow`
Represents a mushroom `Cow`
`interface`
`NPC`
Represents a non-player character
`interface`
`Ocelot`
A wild tameable cat
`interface`
`Panda`
Panda entity.
`interface`
`Parrot`
Represents a Parrot.
`interface`
`Phantom`
Represents a phantom.
`interface`
`Pig`
Represents a Pig.
`interface`
`Piglin`
Represents a Piglin.
`interface`
`PiglinAbstract`
Piglin / Piglin Brute.
`interface`
`PiglinBrute`
Represents a Piglin Brute.
`interface`
`PigZombie`
Represents a Pig Zombie.
`interface`
`Pillager`
Illager entity.
`interface`
`Player`
Represents a player, connected or not
`interface`
`PolarBear`
Represents a polar bear.
`interface`
`PufferFish`
Represents a puffer fish.
`interface`
`Rabbit`
`interface`
`Raider`
`interface`
`Ravager`
Illager beast.
`interface`
`Salmon`
Represents a salmon fish.
`interface`
`Sheep`
Represents a Sheep.
`interface`
`Shulker`
`interface`
`Silverfish`
Represents a Silverfish.
`interface`
`Skeleton`
Represents a Skeleton.
`interface`
`SkeletonHorse`
Represents a SkeletonHorse - variant of `AbstractHorse`.
`interface`
`Slime`
Represents a Slime.
`interface`
`Snowman`
Represents a snowman entity
`interface`
`Spellcaster`
Represents a spell casting "Illager".
`interface`
`Spider`
Represents a Spider.
`interface`
`Squid`
Represents a Squid.
`interface`
`Steerable`
Represents an entity which may be saddled, ridden and steered using an item.
`interface`
`Stray`
Represents a Stray - variant of `AbstractSkeleton`.
`interface`
`Strider`
Represents a Strider.
`interface`
`Tadpole`
A baby `Frog`.
`interface`
`Tameable`
`interface`
`TraderLlama`
Represents a trader Llama.
`interface`
`TropicalFish`
Tropical fish.
`interface`
`Turtle`
Represents a turtle.
`interface`
`Vex`
Represents a Vex.
`interface`
`Villager`
Represents a villager NPC
`interface`
`Vindicator`
Represents a Vindicator.
`interface`
`WanderingTrader`
Represents a wandering trader NPC
`interface`
`Warden`
A Warden.
`interface`
`WaterMob`
Represents a Water Mob
`interface`
`Witch`
Represents a Witch
`interface`
`Wither`
Represents a Wither boss
`interface`
`WitherSkeleton`
Represents a WitherSkeleton - variant of `AbstractSkeleton`.
`interface`
`Wolf`
Represents a Wolf
`interface`
`Zoglin`
Represents a Zoglin.
`interface`
`Zombie`
Represents a Zombie.
`interface`
`ZombieHorse`
Represents a ZombieHorse - variant of `AbstractHorse`.
`interface`
`ZombieVillager`
Represents a `Zombie` which was once a `Villager`.
Methods in org.bukkit.entity that return LivingEntity
Modifier and Type
Method
Description
`@Nullable LivingEntity`
Firework.`getAttachedTo()`
Get the `LivingEntity` to which this firework is attached.
`default @Nullable LivingEntity`
Firework.`getBoostedEntity()`
Deprecated.
use `Firework.getAttachedTo()`
`@Nullable LivingEntity`
Warden.`getEntityAngryAt()`
Gets the `LivingEntity` at which this warden is most angry.
`@Nullable LivingEntity`
EvokerFangs.`getOwner()`
Gets the `LivingEntity` which summoned the fangs.
`@Nullable LivingEntity`
Mob.`getTarget()`
Gets the current target of this Mob
`@Nullable LivingEntity`
Wither.`getTarget(@NotNull Wither.Head head)`
This method will get the target of individual heads `Wither.Head` of the wither.
Methods in org.bukkit.entity with parameters of type LivingEntity
Modifier and Type
Method
Description
`void`
Goat.`ram(@NotNull LivingEntity entity)`
Makes the goat ram at the specified entity
`void`
Player.`sendEquipmentChange(@NotNull LivingEntity entity, @NotNull EquipmentSlot slot, @NotNull ItemStack item)`
Send the equipment change of an entity.
`boolean`
Firework.`setAttachedTo(@Nullable LivingEntity entity)`
Set the `LivingEntity` to which this firework is attached.
`void`
EvokerFangs.`setOwner(@Nullable LivingEntity owner)`
Sets the `LivingEntity` which summoned the fangs.
`void`
Mob.`setTarget(@Nullable LivingEntity target)`
Instructs this Mob to set the specified LivingEntity as its target.
`void`
Wither.`setTarget(@NotNull Wither.Head head, @Nullable LivingEntity target)`
This method will set the target of individual heads `Wither.Head` of the wither.
`void`
Wither.`setTarget(@Nullable LivingEntity target)`
Instructs this Mob to set the specified LivingEntity as its target.

## Uses of LivingEntity in org.bukkit.event.block

Methods in org.bukkit.event.block that return LivingEntity
Modifier and Type
Method
Description
`@NotNull LivingEntity`
BlockDispenseArmorEvent.`getTargetEntity()`
Get the living entity on which the armor was dispensed.
Constructors in org.bukkit.event.block with parameters of type LivingEntity
Modifier
Constructor
Description
``
`BlockDispenseArmorEvent(@NotNull Block block, @NotNull ItemStack dispensed, @NotNull LivingEntity target)`

## Uses of LivingEntity in org.bukkit.event.entity

Fields in org.bukkit.event.entity with type parameters of type LivingEntity
Modifier and Type
Field
Description
`protected final Map<LivingEntity,Double>`
PotionSplashEvent.`affectedEntities`
Methods in org.bukkit.event.entity that return LivingEntity
Modifier and Type
Method
Description
`@Nullable LivingEntity`
EntityBreedEvent.`getBreeder()`
Gets the Entity responsible for breeding.
`@NotNull LivingEntity`
ArrowBodyCountChangeEvent.`getEntity()`
`@NotNull LivingEntity`
CreatureSpawnEvent.`getEntity()`
`@NotNull LivingEntity`
EntityBreakDoorEvent.`getEntity()`
`@NotNull LivingEntity`
EntityBreedEvent.`getEntity()`
`@NotNull LivingEntity`
EntityCreatePortalEvent.`getEntity()`
Deprecated.
`@NotNull LivingEntity`
EntityDeathEvent.`getEntity()`
`@NotNull LivingEntity`
EntityPickupItemEvent.`getEntity()`
`@NotNull LivingEntity`
EntityResurrectEvent.`getEntity()`
`@NotNull LivingEntity`
EntityShootBowEvent.`getEntity()`
`@NotNull LivingEntity`
EntityTameEvent.`getEntity()`
`@NotNull LivingEntity`
EntityBreedEvent.`getFather()`
Gets the other parent of the newly born entity.
`@NotNull LivingEntity`
EntityBreedEvent.`getMother()`
Gets the parent creating this entity.
`@Nullable LivingEntity`
EntityTargetLivingEntityEvent.`getTarget()`
Methods in org.bukkit.event.entity that return types with arguments of type LivingEntity
Modifier and Type
Method
Description
`@NotNull List<LivingEntity>`
AreaEffectCloudApplyEvent.`getAffectedEntities()`
Retrieves a mutable list of the effected entities
`@NotNull Collection<LivingEntity>`
PotionSplashEvent.`getAffectedEntities()`
Retrieves a list of all effected entities
Methods in org.bukkit.event.entity with parameters of type LivingEntity
Modifier and Type
Method
Description
`double`
PotionSplashEvent.`getIntensity(@NotNull LivingEntity entity)`
Gets the intensity of the potion's effects for given entity; This depends on the distance to the impact center
`void`
PotionSplashEvent.`setIntensity(@NotNull LivingEntity entity, double intensity)`
Overwrites the intensity for a given entity
Constructors in org.bukkit.event.entity with parameters of type LivingEntity
Modifier
Constructor
Description
``
`ArrowBodyCountChangeEvent(@NotNull LivingEntity entity, int oldAmount, int newAmount, boolean isReset)`
``
`CreatureSpawnEvent(@NotNull LivingEntity spawnee, @NotNull CreatureSpawnEvent.SpawnReason spawnReason)`
``
`EntityBreakDoorEvent(@NotNull LivingEntity entity, @NotNull Block targetBlock)`
``
`EntityBreedEvent(@NotNull LivingEntity child, @NotNull LivingEntity mother, @NotNull LivingEntity father, @Nullable LivingEntity breeder, @Nullable ItemStack bredWith, int experience)`
``
`EntityCreatePortalEvent(@NotNull LivingEntity what, @NotNull List<BlockState> blocks, @NotNull PortalType type)`
Deprecated.
``
`EntityDeathEvent(@NotNull LivingEntity entity, @NotNull List<ItemStack> drops)`
``
`EntityDeathEvent(@NotNull LivingEntity what, @NotNull List<ItemStack> drops, int droppedExp)`
``
`EntityPickupItemEvent(@NotNull LivingEntity entity, @NotNull Item item, int remaining)`
``
`EntityPotionEffectEvent(@NotNull LivingEntity livingEntity, @Nullable PotionEffect oldEffect, @Nullable PotionEffect newEffect, @NotNull EntityPotionEffectEvent.Cause cause, @NotNull EntityPotionEffectEvent.Action action, boolean override)`
``
`EntityResurrectEvent(@NotNull LivingEntity what)`
Deprecated.
``
`EntityResurrectEvent(@NotNull LivingEntity what, @Nullable EquipmentSlot hand)`
``
`EntityShootBowEvent(@NotNull LivingEntity shooter, @Nullable ItemStack bow, @NotNull Entity projectile, float force)`
Deprecated.
``
`EntityShootBowEvent(@NotNull LivingEntity shooter, @Nullable ItemStack bow, @NotNull ItemStack arrowItem, @NotNull Entity projectile, float force)`
Deprecated.
``
`EntityShootBowEvent(@NotNull LivingEntity shooter, @Nullable ItemStack bow, @Nullable ItemStack consumable, @NotNull Entity projectile, @NotNull EquipmentSlot hand, float force, boolean consumeItem)`
``
`EntityTameEvent(@NotNull LivingEntity entity, @NotNull AnimalTamer owner)`
``
`EntityTargetLivingEntityEvent(@NotNull Entity entity, @Nullable LivingEntity target, @Nullable EntityTargetEvent.TargetReason reason)`
``
`EntityToggleGlideEvent(@NotNull LivingEntity who, boolean isGliding)`
``
`EntityToggleSwimEvent(@NotNull LivingEntity who, boolean isSwimming)`
Constructor parameters in org.bukkit.event.entity with type arguments of type LivingEntity
Modifier
Constructor
Description
``
`AreaEffectCloudApplyEvent(@NotNull AreaEffectCloud entity, @NotNull List<LivingEntity> affectedEntities)`
``
`PotionSplashEvent(@NotNull ThrownPotion potion, @NotNull Map<LivingEntity,Double> affectedEntities)`

## Uses of LivingEntity in org.bukkit.event.vehicle

Methods in org.bukkit.event.vehicle that return LivingEntity
Modifier and Type
Method
Description
`@NotNull LivingEntity`
VehicleExitEvent.`getExited()`
Get the living entity that exited the vehicle.
Constructors in org.bukkit.event.vehicle with parameters of type LivingEntity
Modifier
Constructor
Description
``
`VehicleExitEvent(@NotNull Vehicle vehicle, @NotNull LivingEntity exited)`
``
`VehicleExitEvent(@NotNull Vehicle vehicle, @NotNull LivingEntity exited, boolean isCancellable)`

## Uses of LivingEntity in org.bukkit.inventory

Methods in org.bukkit.inventory with parameters of type LivingEntity
Modifier and Type
Method
Description
`@NotNull ItemStack`
ItemStack.`damage(int amount, LivingEntity livingEntity)`
Damages this itemstack by the specified amount.

## Uses of LivingEntity in org.bukkit.potion

Methods in org.bukkit.potion with parameters of type LivingEntity
Modifier and Type
Method
Description
`void`
Potion.`apply(@NotNull LivingEntity to)`
Deprecated.
Applies the effects that would be applied by this potion to the given `LivingEntity`.
`boolean`
PotionEffect.`apply(@NotNull LivingEntity entity)`
Attempts to add the effect represented by this object to the given `LivingEntity`.

## Uses of LivingEntity in org.bukkit.util

Constructors in org.bukkit.util with parameters of type LivingEntity
Modifier
Constructor
Description
``
`BlockIterator(@NotNull LivingEntity entity)`
Constructs the BlockIterator.
``
`BlockIterator(@NotNull LivingEntity entity, int maxDistance)`
Constructs the BlockIterator.